<?php
$template = <<<END
<!-- block_news:お知らせ -->
<section class="block_news">
<div class="list-free">
<!--{def item/title}-->
<h2 class="w1"><span class="fade-in-text">{val item/title}</span><!--{def item/subtitle}--><span class="small" style="display:block;padding-top: 0.5rem;opacity: 0.5;">{val item/subtitle}</span><!--{/def}--></h2>
<!--{/def}-->
<dl class="new1-maru">
<!--{each item/newinfo}-->
<dt>{val item/newinfo/news_date}<!--{def item/newinfo/kind}--><span<!--{def item/newinfo/color}--> class="{val item/newinfo/color}"<!--{/def}-->>{val item/newinfo/kind}</span><!--{/def}--></dt>
<!--{def item/newinfo/url}-->
<dd><a href="{val item/newinfo/url}">{val item/newinfo/title}</a></dd>
<!--{/def}-->
<!--{ndef item/newinfo/url}-->
<dd>{val item/newinfo/title}</dd>
<!--{/ndef}-->
<!--{/each}-->
</dl>
</div>
<!--/.list-free-->
</section>
END;

$block_news = array(
	"title" => "お知らせ一覧",
	"name" => "block_news",			// 名称、重複すると正しく動作しません
	"template" => $template,		// ブロックのテンプレート
	"input" => array(
		"help" => array(
			"title" => "使い方",
			"type" => "comment",
			"link" => DOCUMENT1 . "/?act=block_news",
			"class" => "notice",
		),
		"notice1" => array(
			"title" => "このブロックは1ページに1つしか使えません",
			"type" => "comment",
			"class"=> "notice",
		),
		"title" => array(
			"title" => "タイトル",
			"type" => "text",
		),
		"subtitle" => array(
			"title" => "サブタイトル",
			"type" => "text",
		),
		"info_num" => array(
			"title" => "表示数",
			"type" => "text",
		),
	),
	"func" => "func_block_news",		// 処理プログラム（指定がない物は標準処理）
);

block_add($block_news);

// お知らせの取得
function func_block_news($def, $info)
{
	$login = get_setup();
	$kiji_list = array("" => "");
	$kiji_color = array("" => "");
	for ($i = 1; $i <= 10; $i++) {
		if (trim($login["news" . $i])) {
			$ary = explode("|", trim($login["news" . $i]));
			$kiji_list[$i] = $ary[0];
			$kiji_color[$i] = $ary[1];
		}
	}
	$num = intval($info["info_num"]);
	if (!$num) {
		$num = 5;
	}
	$info["newinfo"] = get_newinfo($num);
	if (is_array($info["newinfo"])) {
		foreach ($info["newinfo"] as $key => $val) {
			$info["newinfo"][$key]["kind"] = $kiji_list[$val["kind"]];
			$info["newinfo"][$key]["color"] = "bgcolor-" . $kiji_color[$val["kind"]] . "-maru";
		}
	}
	return $info;
}
